Use this API to list and retrieve the audit events recorded for an instance or a group.

Get a list of audit events with optional filters and sorting

POST /api/v4/admin/audit_events/search

Note: The date range must be within a single calendar month. If created_after and created_before span multiple months, the created_before date will be adjusted to the end of the month of created_after.

Request body (application/json)

PropertyTypeDescription
created_afterStringStart date (inclusive) in ISO8601. Defaults to the start of the current month
created_beforeStringEnd date (inclusive) in ISO8601. Defaults to the end of the current month
entity_typesArray of stringsComma-separated list of entity types to filter (e.g., “User,Project”)
pageIntegerCurrent page number
Default: 1
Example: 1
per_pageIntegerNumber of items per page
Default: 20
Example: 20
qStringFree-text search in custom messages
sortStringSort by creation date. Default is created_desc
Allowed values: created_asc, created_desc

Responses

CodeDescriptionSchema
201CreatedAPIEntitiesAuditEvent
400Bad Request—

Schemas

Objects returned by the operations above and objects nested in their request bodies.

APIEntitiesAuditEvent

PropertyTypeDescription
author_nameString—
created_atString—
detailsString—
entity_idString—
entity_typeString—
idString—
target_idString—
target_typeString—